## org.apache.jasper.compiler
Class Parser

    java.lang.Object
      |
      +--org.apache.jasper.compiler.Parser

public class Parser
extends java.lang.Object

The class that parses the JSP input and calls the right methods on the code generator backend.

Author:
  Anil K. Vijendran, Rajiv Mordani, Danno Ferrin

Nested Class Summary
`static interface` `Parser.Action`

Constructor Summary
`Parser(JspCompilationContext ctxt, java.lang.String file, java.lang.String encoding, java.io.InputStreamReader inReader, ParseEventListener lnr)`
`Parser(JspReader reader, ParseEventListener lnr)`

Method Summary
`void` `parse()`
`void` `parse(java.lang.String until)`
`void` `parse(java.lang.String until, java.lang.Class[] accept)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Parser

    public Parser(JspReader reader,
                  ParseEventListener lnr)

### Parser

    public Parser(JspCompilationContext ctxt,
                  java.lang.String file,
                  java.lang.String encoding,
                  java.io.InputStreamReader inReader,
                  ParseEventListener lnr)
           throws ParseException,
                  java.io.FileNotFoundException

Method Detail

### parse

    public void parse()
               throws JasperException

    `JasperException`

### parse

    public void parse(java.lang.String until)
               throws JasperException

    `JasperException`

### parse

    public void parse(java.lang.String until,
                      java.lang.Class[] accept)
               throws JasperException

    `JasperException`

Copyright © 2000 Apache Software Foundation. All Rights Reserved.